=== debian/changelog ===
desktop-base (8.0.2ubuntu1) vivid; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Makefile: Don't install grub/grub_background.sh, as it installs a
      Debian-branded background for GRUB.

 -- Logan Rosen <logan@ubuntu.com>  Sun, 14 Dec 2014 00:57:24 -0500

desktop-base (8.0.1ubuntu1) vivid; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Makefile: Don't install grub/grub_background.sh, as it installs a
      Debian-branded background for GRUB.

 -- Logan Rosen <logan@ubuntu.com>  Sat, 13 Dec 2014 02:16:30 -0500

desktop-base (8.0.0ubuntu1) vivid; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Makefile: Don't install grub/grub_background.sh, as it installs a
      Debian-branded background for GRUB.

 -- Logan Rosen <logan@ubuntu.com>  Thu, 11 Dec 2014 22:38:22 -0500
