=== debian/changelog ===
desktop-base (9.0.2+deb9u1) stretch; urgency=medium

  * Ensure postinst doesn’t fails on upgrade even when an incomplete theme pack
    is active. (Closes: #858643)
  * Fix XML syntax errors in gnome wallpaper description files making Joy
    wallpapers unavailable by default. (Closes: #862228)

 -- Aurélien COUDERC <zecoucou@free.fr>  Fri, 16 Jun 2017 23:43:04 +0200
