=== debian/control ===
--- 
+++ 
@@ -1,19 +1,19 @@
 Source: desktop-base
 Section: x11
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Gustavo Franco <stratus@debian.org>
+Maintainer: Gustavo Franco <stratus@debian.org>
 Uploaders: Loïc Minier <lool@dooz.org>,
            Fathi Boudra <fabo@debian.org>,
            Yves-Alexis Perez <corsac@debian.org>,
            Josselin Mouette <joss@debian.org>,
            Paul Tagliamonte <paultag@debian.org>,
-           Eshat Cakar <info@eshat.de>
-Build-Depends: cdbs (>= 0.4.93), debhelper (>= 9)
-Standards-Version: 3.9.6
+           Eshat Cakar <info@eshat.de>,
+           Aurélien COUDERC <zecoucou@free.fr>
+Build-Depends: cdbs (>= 0.4.93), debhelper (>= 9), librsvg2-bin
+Standards-Version: 3.9.8
 Homepage: http://www.debian.org/devel/debian-desktop
-Vcs-Browser: http://svn.debian.org/wsvn/debian-desktop/packages/trunk/desktop-base
-Vcs-Svn: svn://svn.debian.org/debian-desktop/packages/trunk/desktop-base
+Vcs-Browser: https://anonscm.debian.org/viewvc/debian-desktop/packages/trunk/desktop-base
+Vcs-Svn: svn://anonscm.debian.org/debian-desktop/packages/trunk/desktop-base
 
 Package: desktop-base
 Architecture: all
