=== debian/rules ===
--- 
+++ 
@@ -4,8 +4,6 @@
 include /usr/share/cdbs/1/rules/debhelper.mk
 include /usr/share/cdbs/1/class/makefile.mk
 
-DEB_DH_BUILDDEB_ARGS = -- -Zxz
-
 DEB_MAKE_INSTALL_TARGET := install DESTDIR=$(CURDIR)/debian/desktop-base/
 
 binary-fixup/desktop-base::
