=== softwaves-theme/grub/Makefile ===
--- 
+++ 
@@ -1,4 +1,6 @@
 dir = usr/share/desktop-base/softwaves-theme/grub
+
+.PHONY: build clean install
 
 files = \
 	grub-4x3.png \
@@ -11,7 +13,7 @@
 
 install:
 	install -d $(DESTDIR)/$(dir)
-	$(INSTALL) $(wildcard *.png *.sh) $(DESTDIR)/$(dir)
+	$(INSTALL_DATA) $(wildcard *.png *.sh) $(DESTDIR)/$(dir)
 
 grub-4x3.png: grub-4x3.svg
 	rsvg-convert $< > $@
