=== debian/changelog ===
desktop-base (9.0.6ubuntu1) cosmic; urgency=medium

  * Sync with Debian. Remaining change:
    - debian/postinst, debian/prerm: Don't apply Debian branding for GRUB

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 18 May 2018 10:54:55 -0400
